Page MenuHomePhabricator

[SLP] Vectorize all-constant entries.
ClosedPublic

Authored by mzolotukhin on Jun 18 2015, 5:27 PM.

Details

Summary

Currently SLP gives up when a tree contains a set of constants, and that can be easily fixed.

Diff Detail

Event Timeline

mzolotukhin retitled this revision from to [SLP] Vectorize all-constant entries..
mzolotukhin updated this object.
mzolotukhin edited the test plan for this revision. (Show Details)
mzolotukhin added reviewers: nadav, aschwaighofer.
mzolotukhin added a subscriber: Unknown Object (MLST).
nadav edited edge metadata.Jun 19 2015, 8:43 AM

LGTM!

mzolotukhin accepted this revision.Jun 29 2015, 3:45 PM
mzolotukhin added a reviewer: mzolotukhin.

The patch was committed in r240144.

This revision is now accepted and ready to land.Jun 29 2015, 3:45 PM
mzolotukhin closed this revision.Jun 29 2015, 3:45 PM